Bug 60864 - Quantum Atlas IV (U160) drives + Hendrix were timed out when using aic7xxx driver
Quantum Atlas IV (U160) drives + Hendrix were timed out when using aic7xxx dr...
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-03-07 19:54 EST by Danny Trinh
Modified: 2007-04-18 12:40 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-20 21:38:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg (6.03 KB, patch)
2002-03-08 19:00 EST, Danny Trinh
no flags Details | Diff

  None (edit)
Description Danny Trinh 2002-03-07 19:54:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20011019

Description of problem:
SCSI bus reset when trying to read Quantum Atlas IV HDD. This happens only when
Adaptec 39160 (7899) hooks up to Hendrix. However, if I configure to use ROMB
and create a RAID, then the HDDs are working fine (use aacraid driver).  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.A server with onboard 7899, or 39160 card + Hendrix + Quantum Atlas IV HDDs.
2.Boot from CD, and switch to VC 4 to see the errors.
3.Use the same Hardware configuration but ROMB instead of SCSI. There is no
time-out occurs.

Actual Results:  Failed to read, identify, use of Quantum Atlas IV drive. This
also happens on IBM drives too (U160).

Expected Results:  aic7xxx driver should work with those drives when they are in

Additional info:

Also, If using those HDDs as internal drives (Not plug-in to Hendrix), then they
are working as expect.
Comment 1 Arjan van de Ven 2002-03-08 05:18:12 EST
Could you try the aic7xxx_old driver to see if that one works ?
(to see if it's driver or hardware)
Comment 2 Danny Trinh 2002-03-08 19:00:10 EST
Created attachment 47980 [details]
Comment 3 Danny Trinh 2002-03-08 19:01:34 EST
aic7xxx_old driver does the same thing.
Comment 4 Danny Trinh 2002-03-11 12:05:56 EST
I can "insmod aic7xxx" when I use UP kernel. fdisk, mke2fs work fine also. This 
problem seems to happens on SMP kernel only (well, maybe on bigmem kernel too).
Comment 5 Arjan van de Ven 2002-03-11 12:13:43 EST
Can you try the pensacola beta.40 kernel? this can be one of those interrupt bugs ;(
Comment 6 Danny Trinh 2002-03-11 15:49:32 EST
Pensacola is working fine (beta.40 kernel).
Comment 7 Jay Turner 2002-03-20 21:37:55 EST
So, did the patch from Pensacola make it into the Hampton kernel?
Comment 8 Danny Trinh 2002-03-21 17:44:48 EST
fixed in beta3

Note You need to log in before you can comment on or make changes to this bug.